<?php
// $Id: 40_USERWEBS.php.create.Vsite
// Copyright (c) 2015 Michael Stauber, SOLARSPEED.NET
// Copyright (c) 2015 Team BlueOnyx, BLUEONYX.IT
//
// ui extension to set settings for user webs on Vsite creation

if(defined("USERWEBS_EXTENSION_CREATE_VSITE"))
{
    return 1;
}
define("USERWEBS_EXTENSION_CREATE_VSITE", 1);

include_once("UIExtension.php");

class USERWEBSExtension extends UIExtension
{
    function display(&$helper, &$container, &$cce_info)
    {
        $factory = $helper->getHtmlComponentFactory("base-apache");
        $cce = $helper->getCceClient();
    
        $defaults = $cce->get($cce_info["CCE_OID"], "USERWEBS");
        $pageId = $cce_info['PAGED_BLOCK_DEFAULT_PAGE'];

        // Turn 'userwebs' off if suPHP is enabled for a Vsite:
        $access = 'rw';
        $featurePHP = $cce->get($cce_info['CCE_OID'], 'PHP');
        if (($featurePHP['suPHP_enabled'] == "1") || ($featurePHP['fpm_enabled'] == "1")) {
                $defaults['enabled'] = "0";
                $access = 'r';
        }

        // Feature is permanently disabled in 5210R and we hide the formfield here:
        $defaults['enabled'] = '0';
        $access = '';

        $xff = $factory->getBoolean('userwebs', $defaults['enabled'], $access);
        $container->addFormField(
            $xff,
            $factory->getLabel('userwebs'),
            $pageId
            );
    }

    function handle(&$helper, &$errors, &$cce_info, &$attributes)
    {
        $this->attributes = $attributes;
        $cce = $helper->getCceClient();

        // Set safe default and override it if 'userwebs' is enabled:
        $USERWEBS_enabled = "0";
        if ($this->attributes['userwebs'] == "1") {
            $USERWEBS_enabled = "1";
        }

        // But turn 'userwebs' off if suPHP is enabled for a Vsite:
        if ((isset($featurePHP['suPHP_enabled'])) && (isset($featurePHP['fpm_enabled']))) {
            if (($featurePHP['suPHP_enabled'] == "1") || ($featurePHP['fpm_enabled'] == "1")) {
                    $USERWEBS_enabled = "0";
            }
        }

        // Tell CCE about it:
        $cce->set($cce_info["CCE_OID"], 'USERWEBS', array('enabled' => $USERWEBS_enabled));

        $errors = array_merge($errors, $cce->errors());
    }
}
